Disable licensee
Disables the licensee object.
Disable licensee. Moves the licensee status to Disabled. Available for Client and Operations accounts. Returns the updated licensee object.
Path parameters
idstringRequired
Licensee identifier.
Responses
200
OK
application/json
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
useBuyerAddressboolean · nullableOptional
descriptionstring · nullableOptional
400
Bad Request
application/json
404
Not Found
application/json
post/public/v1/accounts/licensees/{id}/disable
POST /public/v1/accounts/licensees/{id}/disable HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "LCE-8893-6916-0000",
"revision": 2,
"name": "Rolls-Royce Canada Limited",
"status": "Disabled",
"audit": {
"created": {
"at": "2024-02-01T09:12:23+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
},
"updated": {
"at": "2024-02-02T10:35:00+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
},
"disabled": {
"at": "2024-02-02T10:35:00+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
}
}
}Last updated
Was this helpful?